%define upstream_name    Number-Phone
%define upstream_version 3.0014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A pure perl multi-level hash/array DBM
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBM::Deep) >= 2.0.800
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::utf8)
BuildArch:  noarch

%description
This is a base class which encapsulates that information about phone
numbers in the North American Numbering Plan (NANP) which are common to all
NANP countries - that is, those whose international dialling code is +1. If
you are dealing with phone numbers in any of those countries, you should
'use' this module. It will then load the country-specific modules for you
as needed.

Country-specific modules should inherit from this module and provide their
own versions of methods as necessary. However, they should not provide an
'is_valid' method or a constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml NOTES README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.1.400-5.mga9
+ Revision: 1805009
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.1.400-4.mga8
+ Revision: 1496119
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.1.400-3.mga7
+ Revision: 1270208
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.1.400-2.mga6
+ Revision: 1031363
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 3.1.400-1.mga6
+ Revision: 911370
- update to 3.0014

* Mon Nov 09 2015 shlomif <shlomif> 3.1.300-1.mga6
+ Revision: 899965
- update to 3.0013

* Mon Sep 28 2015 sander85 <sander85> 3.1.100-1.mga6
+ Revision: 884770
- update to 3.0011

* Thu Jul 23 2015 sander85 <sander85> 3.1.0-1.mga6
+ Revision: 856448
- update to 3.0010

* Sun Jul 19 2015 sander85 <sander85> 3.0.900-1.mga6
+ Revision: 855345
- update to 3.0009

* Fri Jun 26 2015 shlomif <shlomif> 3.0.800-1.mga6
+ Revision: 844382
- New version 3.0008

* Wed Oct 15 2014 umeabot <umeabot> 3.0.300-3.mga5
+ Revision: 738881
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.300-2.mga5
+ Revision: 685763
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 3.0.300-1.mga5
+ Revision: 672812
- update to 3.0003

* Sat Aug 23 2014 sander85 <sander85> 3.0.200-1.mga5
+ Revision: 666841
- update to 3.0002

* Thu Jun 26 2014 jquelin <jquelin> 3.0.100-1.mga5
+ Revision: 640020
- update to 3.0001

* Mon Apr 28 2014 shlomif <shlomif> 3.0.0-1.mga5
+ Revision: 618582
- New version 3.0

* Fri Apr 25 2014 shlomif <shlomif> 2.200.300-1.mga5
+ Revision: 617849
- New version 2.2003

* Sat Oct 19 2013 umeabot <umeabot> 2.200.200-2.mga4
+ Revision: 529128
- Mageia 4 Mass Rebuild

* Fri Jul 05 2013 shlomif <shlomif> 2.200.200-1.mga4
+ Revision: 450284
- New version 2.2002

* Sun Jan 13 2013 umeabot <umeabot> 2.200.100-2.mga3
+ Revision: 371017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 2.200.100-1.mga3
+ Revision: 330287
- New version 2.2001

* Tue Nov 06 2012 jquelin <jquelin> 2.100.0-1.mga3
+ Revision: 315212
- update to 2.1

* Tue Feb 21 2012 kharec <kharec> 2.0.0-1.mga2
+ Revision: 211709
- update to 2.0

* Mon Nov 14 2011 kharec <kharec> 1.900.0-1.mga2
+ Revision: 167510
- imported package perl-Number-Phone


* Mon Nov 14 2011 cpan2dist 1.9-1mga
- initial mageia release, generated with cpan2dist
